package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 关键部件库存清单对象 t_device_inventory_parts
 *
 * @author ruoyi
 * @date 2022-07-07
 */
public class TDeviceInventoryParts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一ID */
    private Long id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 部件 */
    @Excel(name = "部件")
    private String parts;

    /** 区域 */
    @Excel(name = "区域")
    private String area;

    /** 适用设备 */
    @Excel(name = "适用设备")
    private String suitDevice;

    /** 库存量 */
    @Excel(name = "库存量")
    private Long inventory;

    /** 库存状态 */
    @Excel(name = "库存状态")
    private Long inventoryStatus;

    /** 重要性 */
    @Excel(name = "重要性")
    private String importance;

    /** 使用时间1 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "使用时间1", width = 30, dateFormat = "yyyy-MM-dd")
    private Date useDateOne;

    /** 使用时间2 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "使用时间2", width = 30, dateFormat = "yyyy-MM-dd")
    private Date useDateTwo;

    /** 更换原因 */
    @Excel(name = "更换原因")
    private String replaceReason;

    /** 更换要求
 */
    @Excel(name = "更换要求")
    private String replaceRequirement;

    /** 更换主要负责人 */
    @Excel(name = "更换主要负责人")
    private String replaceChargePerson;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setParts(String parts)
    {
        this.parts = parts;
    }

    public String getParts()
    {
        return parts;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setSuitDevice(String suitDevice)
    {
        this.suitDevice = suitDevice;
    }

    public String getSuitDevice()
    {
        return suitDevice;
    }
    public void setInventory(Long inventory)
    {
        this.inventory = inventory;
    }

    public Long getInventory()
    {
        return inventory;
    }
    public void setInventoryStatus(Long inventoryStatus)
    {
        this.inventoryStatus = inventoryStatus;
    }

    public Long getInventoryStatus()
    {
        return inventoryStatus;
    }
    public void setImportance(String importance)
    {
        this.importance = importance;
    }

    public String getImportance()
    {
        return importance;
    }
    public void setUseDateOne(Date useDateOne)
    {
        this.useDateOne = useDateOne;
    }

    public Date getUseDateOne()
    {
        return useDateOne;
    }
    public void setUseDateTwo(Date useDateTwo)
    {
        this.useDateTwo = useDateTwo;
    }

    public Date getUseDateTwo()
    {
        return useDateTwo;
    }
    public void setReplaceReason(String replaceReason)
    {
        this.replaceReason = replaceReason;
    }

    public String getReplaceReason()
    {
        return replaceReason;
    }
    public void setReplaceRequirement(String replaceRequirement)
    {
        this.replaceRequirement = replaceRequirement;
    }

    public String getReplaceRequirement()
    {
        return replaceRequirement;
    }
    public void setReplaceChargePerson(String replaceChargePerson)
    {
        this.replaceChargePerson = replaceChargePerson;
    }

    public String getReplaceChargePerson()
    {
        return replaceChargePerson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("parts", getParts())
            .append("area", getArea())
            .append("suitDevice", getSuitDevice())
            .append("inventory", getInventory())
            .append("inventoryStatus", getInventoryStatus())
            .append("importance", getImportance())
            .append("useDateOne", getUseDateOne())
            .append("useDateTwo", getUseDateTwo())
            .append("replaceReason", getReplaceReason())
            .append("replaceRequirement", getReplaceRequirement())
            .append("replaceChargePerson", getReplaceChargePerson())
            .toString();
    }
}
